Subject: bug#28588: closed (Re: bug#23811: shepherd: tests/respawn-throttling.sh fails sporadically)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 20 Mar 2020 17:27:02 +0000

Your bug report

#23811: Issue with GNU Shepherd make check

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23811: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23811
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23811: shepherd: tests/respawn-throttling.sh fails sporadically
From: Marius Bakke <[email-masked]>
To: Brice Waegeneire <[email-masked]>, [email-masked]
Date: Fri, 20 Mar 2020 18:26:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Brice Waegeneire <[email-masked]> writes:

> Hello,
>
> #23811 (merged with #28588) are about the same tests failing as
> the recently closed #30299 and were reported 4 et 3 years.
> I suggest to close then too.

Good catch, closing!

Subject: Issue with GNU Shepherd make check
From: [email-masked]
To: [email-masked]
Date: Sun, 24 Sep 2017 16:47:58 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm trying to compile and install GNU Shepherd, as I'd like to try it out; however, when I run 'make check' as root, it reboots my machine within a few seconds (which isn't very helpful!). If I try 'make check' without root privileges, some other errors get thrown up.

I'm trying to compile on a very minimal 'Linux From Scratch' system on an x86_64 Apple Macbook (Core 2 Duo). I installed Guile beforehand, and that seemed to test ok. Basically, I want to try out Shepherd instead of the SysVinit that they recommend in LFS.

I'd like to try out Shepherd, but I'd be a bit reluctant to if I can't check the compiled files first.

Would be v grateful for any assistance.

Thanks!

Lee